IQueryCriteriaParser
Keywords: net.corda.core.node.services.vault.IQueryCriteriaParser interface
Date: 2023-09-18

net.corda.core.node.services.vault

## Interface IQueryCriteriaParser

- All Superinterfaces:
    BaseQueryCriteriaParser<Q,P,S>

      @DoNotImplement
      public IQueryCriteriaParser
      extends BaseQueryCriteriaParser<Q,P,S>

- - ### Constructor Detail

    - #### IQueryCriteriaParser

          public IQueryCriteriaParser()

  - ### Method Detail

    - #### parseCriteria

          @NotNull
          java.util.Collection<javax.persistence.criteria.Predicate> parseCriteria(@NotNull
                                                                                            net.corda.core.node.services.vault.QueryCriteria.CommonQueryCriteria criteria)

    - #### parseCriteria

          @NotNull
          java.util.Collection<javax.persistence.criteria.Predicate> parseCriteria(@NotNull
                                                                                            net.corda.core.node.services.vault.QueryCriteria.FungibleAssetQueryCriteria criteria)

    - #### parseCriteria

          @NotNull
          java.util.Collection<javax.persistence.criteria.Predicate> parseCriteria(@NotNull
                                                                                            net.corda.core.node.services.vault.QueryCriteria.LinearStateQueryCriteria criteria)

    - #### parseCriteria

          @NotNull
          <L extends StatePersistable> java.util.Collection<javax.persistence.criteria.Predicate> parseCriteria(@NotNull
                                                                                                                         net.corda.core.node.services.vault.QueryCriteria.VaultCustomQueryCriteria<L> criteria)

    - #### parseCriteria

          @NotNull
          java.util.Collection<javax.persistence.criteria.Predicate> parseCriteria(@NotNull
                                                                                            net.corda.core.node.services.vault.QueryCriteria.VaultQueryCriteria criteria)